1. Bill Payments
Almara Pay Documentation
  • Introduction
  • Definitions
    • Data Types
    • Error Codes
    • MCCMNC Codes
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
    • C2B IPN (Callback)
      • C2B IPN Overview
  • Card Payments
    • Overview
    • Checkout Order Request
    • Query Checkout Request
    • Checkout Callback Request
  • Account Validation
    • Overview
    • Account Number Validation Request
    • Find KYC Status by SystemTraceAuditNumber
    • Account Validation
    • Find Account Validation Status by SystemTraceAuditNumber
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
      • Find Airtime Purchases By OriginatorConversationId
    • Customer Accounts
      • Balance Check
      • Find Charges By TransactionTypeId
    • Bill Payments
      • Overview
      • Bill Request Validation
        POST
      • Bill Request Payment
        POST
      • Find Bill Services
        GET
      • Find Bill Number By Service Id and Account Number
        GET
      • Find Bill Request By Originator Converstion Id
        GET
      • Bill Number
        POST
  1. Bill Payments

Find Bill Services

GET
/v1/bill-services
This is a GET request that Retrieves a list of available bill payment services and supported billers.
Note: A valid token is required for authentication as it expires after every hour. Refer to Token Request to generate a new token.

Sample success response:#

{
    "billServiceGroup": [
        {
            "route": "I&M Bill Payment",
            "billServices": [
                {
                    "id": "bc97d2b1-4828-f111-bc5a-0e7d952d79b7",
                    "countryId": "2af5bbb9-ba8c-48f7-bfa6-1a3410e4cc03",
                    "currencyId": "e1aee286-d27a-482f-903d-311b3f55552b",
                    "serviceType": 1,
                    "serviceTypeDescription": "NAIROBI WATER",
                    "serviceCategory": 3,
                    "serviceCategoryDescription": "WATER",
                    "minAmount": 10.00,
                    "maxAmount": 1000.00,
                    "enabled": true,
                    "image": "https://beta.Almara Pay.com/Account/CustomerBillServiceLogo/water"
                },
                {
                    "id": "860a26ce-4828-f111-bc5a-0e7d952d79b7",
                    "countryId": "2af5bbb9-ba8c-48f7-bfa6-1a3410e4cc03",
                    "currencyId": "e1aee286-d27a-482f-903d-311b3f55552b",
                    "serviceType": 2,
                    "serviceTypeDescription": "KPLC POSTPAID",
                    "serviceCategory": 2,
                    "serviceCategoryDescription": "ELECTRICITY",
                    "minAmount": 10.00,
                    "maxAmount": 1000.00,
                    "enabled": true,
                    "image": "https://beta.Almara Pay.com/Account/CustomerBillServiceLogo/postpaid"
                },
                {
                    "id": "253592e9-4828-f111-bc5a-0e7d952d79b7",
                    "countryId": "2af5bbb9-ba8c-48f7-bfa6-1a3410e4cc03",
                    "currencyId": "e1aee286-d27a-482f-903d-311b3f55552b",
                    "serviceType": 5,
                    "serviceTypeDescription": "GOTV",
                    "serviceCategory": 1,
                    "serviceCategoryDescription": "TV",
                    "minAmount": 10.00,
                    "maxAmount": 1000.00,
                    "enabled": true,
                    "image": "https://beta.Almara Pay.com/Account/CustomerBillServiceLogo/GOtv"
                }
            ]
        }
    ]
}

Request

Authorization

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v1/bill-services'
Response Response Example
{}
Modified at 2026-04-30 06:32:30
Previous
Bill Request Payment
Next
Find Bill Number By Service Id and Account Number
Built with